Subject: Re: bug#74890: 31.0.50; (thing-at-point 'string) raises error

From: Jean Louis <[email-masked]>
Date: Mon, 16 Dec 2024 01:10:02 +0300

* Eli Zaretskii <[email-masked]> [2024-12-15 21:32]:
> > Debugger entered--Lisp error: (wrong-type-argument characterp nil)
> >   char-syntax(nil)
> >   (eq (char-syntax (char-after)) 34)
> 
> Please show a complete recipe, preferably starting from "emacs -Q".  I
> tried to reproduce this problem, but couldn't, which probably means
> some special steps are required to see it.
> 
> I also don't understand your claims about "char after", because
> there's always something "after" point.

When I removed loading of Drew's thingatpt+ I could not observe this problem anymore.

I just think it is related to function from that library `tap-bounds-of-string-at-point'

Jean